

function x_u5() {
if (document.getElementById('x_jj')) {
x_u6 = new x_rl(x_u7,
[x_rf]);
x_u6.x_s5 = x_u8;
x_u6.x_sl = function() {
if (document.getElementById('x_k3') && document.getElementById('x_k4')) {
var x_so = (document.all) ? event.srcElement : this;
var x_si = x_so.x_si;
if (typeof x_so.x_rx != 'undefined') {
var x_rx	= Math.floor(x_so.x_rx/(86400000));
} else if (!x_si || !x_si.x_rx) {
var x_rx	= x_so.x_co;
} else {
var x_rx = Math.floor(x_si.x_rx/(86400000));
}
var x_86 = new Date(x_rx*86400000);	
x_rx = Math.floor(x_86.getTime()/(86400000));
document.getElementById('x_k3').value = x_rx;
document.getElementById('x_k4').value = x_rx;
}
}
x_u6.x_rs('x_k6', true, 'x_jq');
x_u9 = new x_rl(x_u7,
[x_re, x_rf, x_rd]);
x_u9.x_s5 = x_u8;
x_u9.x_sl = function() {
if (document.getElementById('x_k3')) {
var x_so = (document.all) ? event.srcElement : this;
x_rx = Math.floor(x_so.x_rx/(86400000));
var x_86 = new Date(x_rx*86400000);	
x_rx = Math.floor(x_86.getTime()/(86400000));
document.getElementById('x_k3').value = x_rx;
if (document.getElementById('x_k4')) {
x_ua(document.getElementById('x_k3').value, document.getElementById('x_k4').value);
}
}
}
x_ub = new x_rl(x_u7,
[x_re, x_rf, x_rd]);
x_ub.x_s5 = x_u8;
x_ub.x_sl = function() {
if (document.getElementById('x_k4')) {
var x_so = (document.all) ? event.srcElement : this;
x_rx = Math.floor(x_so.x_rx/(86400000));
var x_86 = new Date(x_rx*86400000);	
x_rx = Math.floor(x_86.getTime()/(86400000));
document.getElementById('x_k4').value = x_rx;
if (document.getElementById('x_k3')) {
x_ua(document.getElementById('x_k3').value, document.getElementById('x_k4').value);
}
}
}
x_uc = new x_rl(x_u7, [x_rg], 'W');
x_uc.x_rs('x_k6', true, 'x_jr');
x_ud = new x_rl(x_u7, [x_rh], 'M');
x_ud.x_rs('x_k6', true, 'x_js');			
}
}
	 	
function x_ue(x_uf) {
var x_ug;
if (x_uf == null) {
return false;
}
if (x_uf.target) {
x_ug = x_uf.target;
} else if (event.srcElement) { x_ug = event.srcElement;
}
if (x_ug.nodeType == 3) { x_ug = x_ug.parentNode;
}
if ('IMG' == x_ug.tagName && 'BUTTON' == x_ug.parentNode.tagName) {
x_ug = x_ug.parentNode;
}
return x_ug;
}
	 	
function x_uh(x_ug, x_ui) {
if (x_ug.parentNode) {
if (x_ug.parentNode.className == x_ui) {
return true;
} else {
return x_uh(x_ug.parentNode, x_ui);
}
} else {
return false;
}
}
	 	
function x_jk(x_tm) {
if (null == x_tm) {
x_tm = event;
}
var x_uj = x_ue(x_tm);
if('x_jw' == x_uj.id) {
x_uk('x_jv');
return;
} else if('x_jy' == x_uj.id) {
x_uk('x_jx');
return;		
} else if (x_uh(x_uj, 'calendarSelect')) { 
return;
} else {
x_u9.x_bc();
x_ub.x_bc();
}
}
	 	
function x_uk(x_ul) {
if ('x_jv' == x_ul) {
if ('none' == x_u9.x_ro.style.display) {
x_ub.x_bc();
x_u9.x_rs(x_ul, true);
} else {
x_u9.x_bc();
}
}
if ('x_jx' == x_ul) {
if ('none' == x_ub.x_ro.style.display) {
x_u9.x_bc();
x_ub.x_rs(x_ul, true);
} else {
x_ub.x_bc();
}
}
}
